# User

DoltHub provides a user API for retrieving information about the authenticated user.

{% hint style="info" %}
Please make sure to send your requests to `https://www.dolthub.com` instead of `https://dolthub.com`.
{% endhint %}

## Get current user

Here's an example of how to fetch information about the authenticated user using an [authorization token](/products/dolthub/api/authentication.md).

This endpoint requires authentication, so you must include this authorization header in your request. See the [Authentication](/products/dolthub/api/authentication.md) section for more details.

```python
headers = {
    'authorization': 'token [api token you created]'
}
```

{% openapi src="/files/jSOp1uWEjlvtFOsdWsCw" path="/user" method="get" %}
[getCurrentUser.json](https://1372377717-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MO3iUAEaFtCYE0joxfA%2Fuploads%2Fgit-blob-8fbd7ec83807ca0c7067bd9a2a63a52daece9ef0%2FgetCurrentUser.json?alt=media)
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dolthub.com/products/dolthub/api/user.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
